org.wildfly.swarm.spi.api.cdi

## Class CommonBean<T>

- java.lang.Object
- - org.wildfly.swarm.spi.api.cdi.CommonBean<T>

-     public class CommonBean<T>
      extends Object

  Author:
    Tomas Remes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonBean(Class<?> beanClass, Class<? extends Annotation> scope, Set<Annotation> qualifiers, Supplier<T> createSupplier, Type... types)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `create(<any> creationalContext)`
    `void` | `destroy(T instance, <any> creationalContext)`
    `Class<?>` | `getBeanClass()`
    `Set<InjectionPoint>` | `getInjectionPoints()`
    `String` | `getName()`
    `Set<Annotation>` | `getQualifiers()`
    `Class<? extends Annotation>` | `getScope()`
    `Set<Class<? extends Annotation>>` | `getStereotypes()`
    `Set<Type>` | `getTypes()`
    `boolean` | `isAlternative()`
    `boolean` | `isNullable()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonBean

          public CommonBean(Class<?> beanClass,
                            Class<? extends Annotation> scope,
                            Set<Annotation> qualifiers,
                            Supplier<T> createSupplier,
                            Type... types)

  - ### Method Detail

    - #### getBeanClass

          public Class<?> getBeanClass()

    - #### getInjectionPoints

          public Set<InjectionPoint> getInjectionPoints()

    - #### isNullable

          public boolean isNullable()

    - #### getTypes

          public Set<Type> getTypes()

    - #### getQualifiers

          public Set<Annotation> getQualifiers()

    - #### getScope

          public Class<? extends Annotation> getScope()

    - #### getName

          public String getName()

    - #### getStereotypes

          public Set<Class<? extends Annotation>> getStereotypes()

    - #### isAlternative

          public boolean isAlternative()

    - #### create

          public T create(<any> creationalContext)

    - #### destroy

          public void destroy(T instance,
                              <any> creationalContext)

Copyright © 2017 JBoss by Red Hat. All rights reserved.